# Uses of Interface
org.apache.commons.math3.ode.sampling.FieldStepInterpolator

Packages that use FieldStepInterpolator
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.events
This package provides classes to handle discrete events occurring during Ordinary Differential Equations integration.
org.apache.commons.math3.ode.sampling
This package provides classes to handle sampling steps during Ordinary Differential Equations integration.

## Uses of FieldStepInterpolator in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode with parameters of type FieldStepInterpolator
Modifier and Type
Method
Description
`void`
ContinuousOutputFieldModel.`handleStep(FieldStepInterpolator<T> interpolator, boolean isLast)`
Handle the last accepted step.

## Uses of FieldStepInterpolator in org.apache.commons.math3.ode.events

Methods in org.apache.commons.math3.ode.events with parameters of type FieldStepInterpolator
Modifier and Type
Method
Description
`boolean`
FieldEventState.`evaluateStep(FieldStepInterpolator<T> interpolator)`
Evaluate the impact of the proposed step on the event handler.
`void`
FieldEventState.`reinitializeBegin(FieldStepInterpolator<T> interpolator)`
Reinitialize the beginning of the step.

## Uses of FieldStepInterpolator in org.apache.commons.math3.ode.sampling

Classes in org.apache.commons.math3.ode.sampling that implement FieldStepInterpolator
Modifier and Type
Class
Description
`class`
`AbstractFieldStepInterpolator<T extends RealFieldElement<T>>`
This abstract class represents an interpolator over the last step during an ODE integration.
Methods in org.apache.commons.math3.ode.sampling with parameters of type FieldStepInterpolator
Modifier and Type
Method
Description
`void`
FieldStepHandler.`handleStep(FieldStepInterpolator<T> interpolator, boolean isLast)`
Handle the last accepted step
`void`
FieldStepNormalizer.`handleStep(FieldStepInterpolator<T> interpolator, boolean isLast)`
Handle the last accepted step